Bug 27671 - printconf retches errors on certain types of printer creation
printconf retches errors on certain types of printer creation
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2001-02-14 17:20 EST by Seth Vidal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-15 20:11:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-02-14 17:20:09 EST
printconf 0.0-29  - from rawhide (after the release of fisher)

I add a printer with the following characteristics

Name: 107A-LD
Type: HP Laserjet 4000
Connection: jetdirect
      ip: hp4ktn1.phy.duke.edu (its firewalled so I don't care :)
      port: 9100
Postscript printer driver selected
Click OK

I get the following errors on the console:

** CRITICAL **: file alchemist.c: line 3226 (AdmList_addChild): assertion
`_adm_valid_name(name)' failed.
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/printconf-gui", line 859, in handle_new_button
    queue = new_queue(name)
  File "/usr/sbin/printconf-gui", line 128, in new_queue
    queue = dynamic_ctx.getDataByPath('/' + namespace +
'/print_queues').addChild(Alchemist.Data.ADM_TYPE_LIST, name)
  File "/usr/lib/python1.5/site-packages/Alchemist.py", line 134, in
Alchemist.ListError: addChild failed

if I change the name of the printer from 107A-LD to printer it works just

I know lprng allows names with -'s in them - does printconf?
Comment 1 Glen Foster 2001-02-15 20:11:42 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Crutcher Dunnavant 2001-02-20 00:03:54 EST
It didn't support '-' in one version, it does now.
Comment 3 Seth Vidal 2001-02-20 09:34:28 EST
I looked in the rawhide dir on ftp.redhat.com and I didn't see any updated
packages. Is there anyway I can get the "rawhide" that you're speaking of so I
can find out if this is completely fixed?


Note You need to log in before you can comment on or make changes to this bug.